Name:		ekg
Version:	1.8
Release:	0.13.rc1%{?dist}
Summary:	A client compatible with Gadu-Gadu
Summary(de):	Ein Cliente kompatibel mit Gadu-Gadu
Summary(es):	Un cliente compatible con Gadu-Gadu
Summary(it):	Un cliente compatibile con Gadu-Gadu
Summary(pl):	Klient kompatybilny z Gadu-Gadu
License:	GPLv2
Group:		Applications/Internet
Source0:	http://ekg.chmurka.net/%{name}-%{version}rc1.tar.gz
Source1:	%{name}.conf
Source2:	ekg-unicode
Patch0:		%{name}-rpm.patch
URL:		http://ekg.chmurka.net/
BuildRequires:	aspell-devel
BuildRequires:	automake
BuildRequires:  giflib-devel
BuildRequires:	gsm-devel
#TODO: separate binary?
#BuildRequires:	gtk2-devel
BuildRequires:	libgadu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	perl
BuildRequires:	python-devel
BuildRequires:	zlib-devel
Requires:	%{_bindir}/luit
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source gadu-gadu
client for UNIX systems. Gadu-Gadu is an instant messaging program,
very popular in Poland.

EKG features include:
  - irssi-like ncurses interface
  - sending and receiving files
  - voice conversations
  - launching shell commands on certain events
  - reading input from pipe
  - python scripting support
  - speech synthesis (using an external program)
  - encryption support

Please note that the program is not internationalized and all messages
are in Polish (although the commands are in English). 

%description -l de
Ein Cliente kompatibel mit Gadu-Gadu.

%description -l es
Un cliente compatible con Gadu-Gadu.

%description -l it
Un cliente compatibile con Gadu-Gadu.

%description -l pl
EKG ("Eksperymentalny Klient Gadu-Gadu") jest open source'owym
klientem gadu-gadu dla systemów uniksowych. Gadu-Gadu to popularny w
polsce komunikator internetowy.

Możliwości EKG:
  - interfejs użytkownika podobny do irssi,
  - wysyłanie i odbieranie plików,
  - rozmowy głosowe,
  - uruchamianie poleceń powłoki w określonych sytuacjach,
  - wczytywanie wejścia z potoku,
  - wsparcie dla skryptów w języku Python,
  - synteza mowy (z użyciem zewnętrznego programu),
  - wsparcie dla szyfrowania.

Program nie jest umiędzynarodowiony i wszystkie komunikaty są po
polsku (jednak komendy są w języku angielskim).

%prep
%setup -q -n %{name}-%{version}rc1
%patch0 -p1 -b .r
# fix line endings and encoding
tr -d '\r' < contrib/ekl2.pl > contrib/ekl2.pl.unix ; mv contrib/ekl2.pl.unix contrib/ekl2.pl
for file in \
	contrib/ekl2* \
	docs/api/functions.txt \
	docs/*.txt \
	docs/FAQ docs/IDEAS-2.0 docs/README docs/TODO docs/ULOTKA \
	docs/*.man.pl \
	ChangeLog* \
; do
	iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

%build
autoreconf -f -i -I m4
%configure \
	--enable-aspell \
	--enable-shared \
	--enable-ioctld \
	--enable-openssl \
	--disable-ui-gtk \
	--disable-static \
	--without-bind \
	--with-libgsm \
	--with-pthread \
	--with-python \
	--without-termcap \

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -pm644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# For libgadu-devel

rm -f examples/Makefile examples/Makefile.in examples/.cvsignore
rm -rf examples/CVS

mv $RPM_BUILD_ROOT%{_bindir}/ekg $RPM_BUILD_ROOT%{_bindir}/ekg.wrapped
install -pm755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/ekg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc src/COPYING
%doc docs/{dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%doc docs/slownik.txt
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%attr(755,root,root) %{_bindir}/e*
%attr(755,root,root) %{_libexecdir}/ekg
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.13.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.8-0.12.rc1
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1.8-0.11.rc1
- rebuild against new libjpeg

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.10.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.9.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.8.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.8-0.7.rc1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.8-0.6.rc1
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.5.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 1.8-0.3.rc1
- rebuild with new openssl

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.8-0.2.rc1
- Rebuild for Python 2.6

* Sat Jun 14 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.8-0.1.rc1
- updated to 1.8rc1
- moved ioctld to %%{_libexecdir}/ekg/ioctld for consistency with ekg2
- dropped obsolete external libgadu patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-6
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Dominik Mierzejewski <rpm@greysector.net> 1.7-5
- fix parallel build

* Tue Jan 01 2008 Dominik Mierzejewski <rpm@greysector.net> 1.7-4
- use luit wrapper to work around lack of unicode support (bug #210745)
- fix line endings and docs encoding in prep instead of install section

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.7-3
 - Rebuild for deps

* Tue Aug 28 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7-2
- rebuilt for ppc32
- update license tag

* Fri Jun 29 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7-1
- 1.7 final
- enable voip support (gsm is in Fedora now)
- remove redundant BR: autoconf
- support giflib
- fixes CVE-2007-166{3,4,5} (bug #246034)

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.7-0.4.rc2
- Rebuild for updated python.

* Sun Sep 17 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7-0.3.rc2
- build with external libgadu

* Mon Sep 04 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7-0.2.rc2
- add dist tag
- add license files to libgadu and ekg
- remove reduntant python BR
- fix parallel make build

* Sun Sep 03 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7-0.1.rc2
- 1.7rc2 (security update)
- FE compliance

* Mon Oct 03 2005 Dominik Mierzejewski <rpm@greysector.net> 1.6-0.2.rc3
- fixed buildflags

* Sun Oct 02 2005 Dominik Mierzejewski <rpm@greysector.net> 1.6-0.1.rc3
- 1.6rc3 (security update)

* Sat May 28 2005 Dominik Mierzejewski <rpm@greysector.net>
- Adapted PLD spec
